commit:     7404710b35bf54b2820af7446c02974d1a45cc59
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 26 19:47:25 2016 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Fri Feb 26 19:52:09 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7404710b

dev-python/django-pipeline: Bump

Package-Manager: portage-2.2.27

 dev-python/django-pipeline/Manifest                |  1 +
 .../django-pipeline/django-pipeline-1.6.0.ebuild   | 54 ++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/django-pipeline/Manifest 
b/dev-python/django-pipeline/Manifest
index 6c2941d..dcc0269 100644
--- a/dev-python/django-pipeline/Manifest
+++ b/dev-python/django-pipeline/Manifest
@@ -1,2 +1,3 @@
 DIST django-pipeline-1.3.26.tar.gz 41054 SHA256 
58433fc07cc81f213686b892caeb8d17d6ed4e00444ef95b35f21a5a3cc6357e SHA512 
106c89e6a5509305548f6169f9b38d3a288bdf260c4b933ac1372c8471e897b8f6109cdecf70a4f77dff670e2b97abe4ed990903abfc188a59600189d0473284
 WHIRLPOOL 
7ead1f6dbc6df1a5c4b26869e6b4ae73cd416ed52f22ba1ff16b57a295f476c7973a56af9c05d1b50097e82dcd286207f648920b3acadd88fc40ad26aae10285
 DIST django-pipeline-1.5.4.tar.gz 41115 SHA256 
5e387e2a92880f67c299ade766577c8c66485ffb867fbcffb73f696ddb9b245d SHA512 
2393d1b44ca38416589b5b0e731b66e4e95be0b1adcba89fd76905975df0f35857bcbe019fc239127c578ab3a1b77cec5892298068de3634b2020d79e74aa1ad
 WHIRLPOOL 
79e63b07751fb4c216004ca8aa695690b2006346f6b65e075d59484c6411c2f29c7b138f9e12f2e523e8c68e68f11398e183ed4a6816b5a47ef833dbb22b2b02
+DIST django-pipeline-1.6.0.tar.gz 41822 SHA256 
de2b6b068576fd5f4d08cae6a2d7768a0a47b92e20d13a4dd39974dd5a6876ee SHA512 
4cf89f34a56aeb7cd5042617c265fb4bccfe7a0c32c26d50a0820d35c18207cdbf68b43e8f51ef7145fc48576ae0fe0a21553a75ec8a0a21a3c62e7699268d73
 WHIRLPOOL 
d357b7f207a4c695cbae3a57ef0916e5f66add06c2f9cb45d7e4046326c2cfbd1a6de43eff2af23ff9966099761868c6b9b8a87740e555201eca2c8e2b33f4d2

diff --git a/dev-python/django-pipeline/django-pipeline-1.6.0.ebuild 
b/dev-python/django-pipeline/django-pipeline-1.6.0.ebuild
new file mode 100644
index 0000000..9f9095a
--- /dev/null
+++ b/dev-python/django-pipeline/django-pipeline-1.6.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="An asset packaging library for Django"
+HOMEPAGE="https://pypi.python.org/pypi/django-pipeline/ 
https://github.com/cyberdelia/django-pipeline";
+
+# PyPi releases lack docs/ subdir:
+# https://github.com/cyberdelia/django-pipeline/pull/254
+SRC_URI="https://github.com/cyberdelia/django-pipeline/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="
+       >=dev-python/django-1.7[${PYTHON_USEDEP}]
+       dev-python/jsmin[${PYTHON_USEDEP}]
+       dev-python/jinja[${PYTHON_USEDEP}]
+       virtual/python-futures[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? ( ${RDEPEND}
+               dev-python/mock[${PYTHON_USEDEP}] )"
+
+# As usual for test phase
+DISTUTILS_IN_SOURCE_BUILD=1
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       # https://github.com/cyberdelia/django-pipeline/issues/381
+       PYTHONPATH=. django-admin.py test --settings=tests.settings tests \
+               || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && HTML_DOCS=( docs/_build/html/. )
+       distutils-r1_python_install_all
+}
+
+python_install() {
+       export PIPELINE_JS_COMPRESSOR = 
'pipeline.compressors.jsmin.JSMinCompressor'
+       distutils-r1_python_install
+}

Reply via email to